Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065557 - runtime-install.tmpl tries to install packages that do not exist in the RHEL 7 BETA
Summary: runtime-install.tmpl tries to install packages that do not exist in the RHEL ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lorax
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 23:13 UTC by csieh
Modified: 2014-06-18 01:28 UTC (History)
4 users (show)

Fixed In Version: lorax-19.6.22-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:28:59 UTC


Attachments (Terms of Use)

Description csieh 2014-02-14 23:13:12 UTC
Description of problem:

The following packages defined in runtime-install.tmpl fail to install 

  pigz
  firstaidkit-plugin-passwd
  firstaidkit-plugin-key-recovery
  firstaidkit-plugin-mdadm-conf
  b43-openfwwf
  fedup-dracut
  fedup-dracut-plymouth
  *-fedup-dracut
  *-redhat-upgrade-dracut
  jfsutils
  reiserfs-utils
  ntfs-3g
  ntfsprogs
  pcmciautils
  fedora-icon-theme
  python-epdb
  fpaste
  vconfig
  icfg


Version-Release number of selected component (if applicable):

RHEL 7 BETA x86_64

How reproducible:

Every time .

Steps to Reproduce:
1. lorax --product RHEL --version 7 --release BETA --source ftp://ftp.redhat.com/redhat/rhel/beta/7/x86_64/os /home/mydir
2. look in lorax.log for ERROR
3.

Actual results:


Expected results:

All packages defined in runtime-install.tmpl actually exist in the release and thus install

Additional info:

Comment 2 Brian Lane 2014-02-15 18:22:53 UTC
Note that these are non-fatal errors. If none of them are expected to be available or needed they can be removed, except for *-redhat-upgrade-dracut which is part of the rhel upgrade system, it just doesn't have any packages yet.

Comment 4 Jan Stodola 2014-03-13 15:32:09 UTC
Retested with lorax-19.6.26-1.el7, only the redhat-upgrade-dracut package is missing, which doesn't exist yet:

...
running runtime-install.tmpl
2014-03-13 11:14:54,411: Looking for extra redhat-upgrade-dracut packages...
Looking for extra redhat-upgrade-dracut packages...
2014-03-13 11:14:57,234: installpkg *-redhat-upgrade-dracut failed: No package(s) available to install
installpkg *-redhat-upgrade-dracut failed: No package(s) available to install
downloading packages
(  0/  0) [100%] downloading GConf2-3.2.6-8.el7.x86_64.rpm
...

Moving to VERIFIED.

Comment 5 Ludek Smid 2014-06-13 11:28:59 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.